from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XChangesNotifier(XInterface, Protocol):
    def addChangesListener(self, aListener: XChangesListener) -> None: ...
    def removeChangesListener(self, aListener: XChangesListener) -> None: ...
